Subject: bug#57981: closed (Re: bug#57981: 13.1.1; Evince synctex: env variables not inherited)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 26 Sep 2022 11:25:02 +0000

Your bug report

#57981: 13.1.1; Evince synctex: env variables not inherited

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57981: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57981
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57981: 13.1.1; Evince synctex: env variables not inherited
From: Tassilo Horn <[email-masked]>
To: Fabian Thomas <[email-masked]>
Cc: [email-masked]
Date: Mon, 26 Sep 2022 13:23:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Fabian Thomas via bug-auctex via Bug reporting list for AUCTeX <[email-masked]> writes:

Hi Fabian,

>> I cannot see how AUCTeX could do anything about that.  I think you
>> somehow need to start a zsh which then launches dbus.  Or maybe the
>> shell command "dbus-update-activation-environment --all" (maybe with
>> --systemd) can help?  At least its docs suggest so.
>
> That is exactly what I needed. Thank you.

Great, I'm closing the issue then.

Bye,
Tassilo

Subject: 13.1.1; Evince synctex: env variables not inherited
From: Fabian Thomas <[email-masked]>
To: [email-masked]
Date: Wed, 21 Sep 2022 11:42:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

When using TeX-view to open the current configured pdf with synctex
forward search, the evince pdf viewer does not inherit or load
environment variables from e.g., ~/.zshenv.

Other viewers like zathura or okular work perfectly fine.

When I do cat /proc/`pidof okular`/environ, I get the full environment
with variables from my ~/.zshenv, but when I do
cat /proc/`pidof evince`/environ I get a plain version with no custom
variables. When I start evince from command line everything works fine.

I suspect, that this is some issue about how evince is started via dbus
for synctex support.

Here is the output of cat /proc/`pidof evince`/environ when started from
emacs:
SHELL=/bin/zshDBUS_STARTER_ADDRESS=unix:path=/run/user/1000/bus,guid=bfDISPLAY=:0XDG_RUNTIME_DIR=/run/user/1000LC_MONETARY=de_DE.UTF-8LC_NUMERIC=de_DE.UTF-8PATH=/usr/local/bin:/usr/binMAIL=/var/spool/mail/fabianSYSTEMD_EXEC_PID=2137DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/1000/bus,guid=bfXAUTHORITY=/home/fabian/.XauthorityUSER=fabianDBUS_STARTER_BUS_TYPE=sessionMANAGERPID=2051LANG=en_US.UTF-8LC_COLLATE=CHOME=/home/fabianLOGNAME=fabian

I use the following elisp code to set the viewer to evince (doom emacs):
(after! tex
        (setq TeX-view-program-selection '((output-pdf "Evince") (output-pdf "Zathura") (output-pdf "Okular") (output-html "xdg-open"))))

Emacs  : GNU Emacs 28.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.33, cairo version 1.17.6)
 of 2022-04-28
Package: 13.1.1

current state:
==============
(setq
 AUCTeX-date "2022-02-22"
 window-system 'x
 LaTeX-version "2e"
 TeX-style-path '("~/.emacs.d/auctex" "/home/fabian/.emacs.d/.local/straight/build-28.1/auctex/style"
                  "/home/fabian/.emacs.d/.local/cache/auctex/.auctex-auto" "/home/fabian/.emacs.d/.local/cache/auctex/.auctex-style"
                  ".auctex-auto" ".auctex-style")
 TeX-auto-save t
 TeX-parse-self t
 TeX-master t
 TeX-command-list '(("TeX" "%(PDF)%(tex) %(file-line-error) %`%(extraopts) %S%(PDFout)%(mode)%' %(output-dir) %t" TeX-run-TeX nil
                     (plain-tex-mode ams-tex-mode texinfo-mode) :help "Run plain TeX")
                    ("LaTeX" "%`%l%(mode)%' %T" TeX-run-TeX nil (latex-mode doctex-mode) :help "Run LaTeX")
                    ("Makeinfo" "makeinfo %(extraopts) %(o-dir) %t" TeX-run-compile nil (texinfo-mode) :help
                     "Run Makeinfo with Info output")
                    ("Makeinfo HTML" "makeinfo %(extraopts) %(o-dir) --html %t" TeX-run-compile nil (texinfo-mode) :help
                     "Run Makeinfo with HTML output")
                    ("AmSTeX" "amstex %(PDFout) %`%(extraopts) %S%(mode)%' %(output-dir) %t" TeX-run-TeX nil (ams-tex-mode) :help
                     "Run AMSTeX")
                    ("ConTeXt" "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode) :help
                     "Run ConTeXt once")
                    ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode) :help
                     "Run ConTeXt until completion")
                    ("BibTeX" "bibtex %(O?aux)" TeX-run-BibTeX nil
                     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode context-mode) :help "Run BibTeX")
                    ("Biber" "biber %(output-dir) %s" TeX-run-Biber nil (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode)
                     :help "Run Biber")
                    ("Texindex" "texindex %s.??" TeX-run-command nil (texinfo-mode) :help "Run Texindex")
                    ("Texi2dvi" "%(PDF)texi2dvi %t" TeX-run-command nil (texinfo-mode) :help "Run Texi2dvi or Texi2pdf")
                    ("View" "%V" TeX-run-discard-or-function t t :help "Run Viewer")
                    ("Print" "%p" TeX-run-command t t :help "Print the file")
                    ("Queue" "%q" TeX-run-background nil t :help "View the printer queue" :visible TeX-queue-command)
                    ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode)
                     :help "Generate PostScript file")
                    ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode)
                     :help "Convert DVI file to PostScript")
                    ("Dvipdfmx" "dvipdfmx -o %(O?pdf) %d" TeX-run-dvipdfmx nil
                     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help "Convert DVI file to PDF with dvipdfmx")
                    ("Ps2pdf" "ps2pdf %f %(O?pdf)" TeX-run-ps2pdf nil (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode)
                     :help "Convert PostScript file to PDF")
                    ("Glossaries" "makeglossaries %(d-dir) %s" TeX-run-command nil
                     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help "Run makeglossaries to create glossary file")
                    ("Index" "makeindex %(O?idx)" TeX-run-index nil (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode)
                     :help "Run makeindex to create index file")
                    ("upMendex" "upmendex %(O?idx)" TeX-run-index t (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode)
                     :help "Run upmendex to create index file")
                    ("Xindy" "texindy %s" TeX-run-command nil (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
                     "Run xindy to create index file")
                    ("Check" "chktex -v6 -H %s" TeX-run-compile nil (latex-mode) :help "Check LaTeX file for correctness")
                    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode) :help "Check LaTeX file for common mistakes")
                    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil t :help "Spell-check the document")
                    ("Clean" "TeX-clean" TeX-run-function nil t :help "Delete generated intermediate files")
                    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help "Delete generated intermediate and output files")
                    ("Other" "" TeX-run-command t t :help "Run an arbitrary command"))
 )